'From Pharo8.0.0 of 31 January 2020 [Build information: Pharo-8.0.0+build.1127.sha.353dabe053b2cb1b54837e286965e532cf330aad (64 Bit)] on 18 February 2020 at 9:12:15.986226 am'!
InterpreterPlugin subclass: #SlangBasicTypeInferenceTestClass
	instanceVariableNames: ''
	classVariableNames: ''
	package: 'VMMaker-Tests'!

!SlangBasicTypeInferenceTestClass methodsFor: 'return-explicit-temp'!
returnExplicitTempLongLong
	<var:#t type:#'long long'>
	| t | 
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-explicit-temp'!
returnExplicitTempUnsignedInt
	<var:#t type:#'unsigned int'>
	| t |
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-explicit-temp'!
returnExplicitTempFloat
	<var:#t type:#float>
	| t |
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-explicit-temp'!
returnExplicitTempDouble
	<var:#t type:#double>
	| t |
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-explicit-temp'!
returnExplicitTempInt
	<var:#t type:#int>
	| t |
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-explicit-temp'!
returnExplicitTempRandom
	<var:#t type:#completelyRandom>
	| t |
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-explicit-temp'!
returnExplicitTempString
	<var:#t type:#'char *'>
	| t |
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-explicit-temp'!
returnExplicitTempUnsignedLongLong
	<var:#t type:#'unsigned long long'>
	| t |
	^ t! !


!SlangBasicTypeInferenceTestClass methodsFor: 'constant'!
aSmallNegativeIntegerConstantNode
	-30! !

!SlangBasicTypeInferenceTestClass methodsFor: 'constant'!
aFloatConstantNode
	1.0! !

!SlangBasicTypeInferenceTestClass methodsFor: 'constant'!
aStringConstantNode
	'aString'! !

!SlangBasicTypeInferenceTestClass methodsFor: 'constant'!
anIntGreater64ConstantNode
	"SmallInteger maxVal on a 64bit system"
	1152921504606846975! !

!SlangBasicTypeInferenceTestClass methodsFor: 'constant'!
anIntEqual32ConstantNode
	" 2 ^ 32 - 1"
	4294967295! !

!SlangBasicTypeInferenceTestClass methodsFor: 'constant'!
aFalseConstantNode
	false! !

!SlangBasicTypeInferenceTestClass methodsFor: 'constant'!
anIntEqual64ConstantNode
	" 2 raisedTo: 64 "
	18446744073709551615! !

!SlangBasicTypeInferenceTestClass methodsFor: 'constant'!
anIntLesser32ConstantNode
	30! !

!SlangBasicTypeInferenceTestClass methodsFor: 'constant'!
aNilConstantNode
	nil! !

!SlangBasicTypeInferenceTestClass methodsFor: 'constant'!
aBigNegativeIntegerConstantNode
	"SmallInteger maxVal on a 64bit system"
	-1152921504606846975! !

!SlangBasicTypeInferenceTestClass methodsFor: 'constant'!
aTrueConstantNode
	true! !


!SlangBasicTypeInferenceTestClass methodsFor: 'return-explicit-arg'!
returnExplicitArgRandom: t
	<var:#t type:#completelyRandom>
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-explicit-arg'!
returnExplicitArgLongLong: t
	<var:#t type:#'long long'>
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-explicit-arg'!
returnExplicitArgInt: t
	<var:#t type:#int>
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-explicit-arg'!
returnExplicitArgFloat: t
	<var:#t type:#float>
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-explicit-arg'!
returnExplicitArgDouble: t
	<var:#t type:#double>
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-explicit-arg'!
returnExplicitArgUnsignedInt: t
	<var:#t type:#'unsigned int'>
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-explicit-arg'!
returnExplicitArgUnsignedLongLong: t
	<var:#t type:#'unsigned long long'>
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-explicit-arg'!
returnExplicitArgString: t
	<var:#t type:#'char *'>
	^ t! !


!SlangBasicTypeInferenceTestClass methodsFor: 'return-temp-assigned-const'!
returnTempNilConstantNode
	| t |
	t := nil.
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-temp-assigned-const'!
returnTempIntGreater64ConstantNode
	| t |
	"SmallInteger maxVal on a 64bit system"
	t := 1152921504606846975.
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-temp-assigned-const'!
returnTempFloatConstantNode
	| t |
	t := 1.0.
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-temp-assigned-const'!
returnTempSmallNegativeIntegerConstantNode
	| t |
	t := -30.
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-temp-assigned-const'!
returnTempIntEqual64ConstantNode
	" 2 raisedTo: 64 "
	| t | 
	t := 18446744073709551615.
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-temp-assigned-const'!
returnTempBigNegativeIntegerConstantNode
	| t |
	"SmallInteger maxVal on a 64bit system"
	t := -1152921504606846975.
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-temp-assigned-const'!
returnTempStringConstantNode
	| t |
	t := 'aString'.
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-temp-assigned-const'!
returnTempIntLesser32ConstantNode
	| t |
	t := 30.
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-temp-assigned-const'!
returnTempIntEqual32ConstantNode
	" 2 ^ 32 - 1"
	| t |
	t := 4294967295.
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-temp-assigned-const'!
returnTempTrueConstantNode
	| t |
	t := true.
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-temp-assigned-const'!
returnTempFalseConstantNode
	| t |
	t := false.
	^ t! !


!SlangBasicTypeInferenceTestClass methodsFor: 'return-temp-assigned-message'!
returnTempSmallNegativeIntegerMessageNode
	| t |
	t := self returnASmallNegativeIntegerConstantNode.
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-temp-assigned-message'!
returnTempTrueMessageNode
	| t |
	t := self returnATrueConstantNode.
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-temp-assigned-message'!
returnTempIntLesser32MessageNode
	| t |
	t := self returnAnIntLesser32ConstantNode.
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-temp-assigned-message'!
returnTempIntEqual64MessageNode
	| t | 
	t := self returnAnIntEqual64ConstantNode.
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-temp-assigned-message'!
returnTempFalseMessageNode
	| t |
	t := self returnAFalseConstantNode.
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-temp-assigned-message'!
returnTempBigNegativeIntegerMessageNode
	| t |
	t := self returnABigNegativeIntegerConstantNode.
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-temp-assigned-message'!
returnTempNilMessageNode
	| t |
	t := self returnANilConstantNode.
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-temp-assigned-message'!
returnTempIntEqual32MessageNode
	| t |
	t := self returnAnIntEqual32ConstantNode.
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-temp-assigned-message'!
returnTempFloatMessageNode
	| t |
	t := self returnAFloatMessageSend.
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-temp-assigned-message'!
returnTempIntGreater64MessageNode
	| t |
	t := self returnAnIntGreater64ConstantNode.
	^ t! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-temp-assigned-message'!
returnTempStringMessageNode
	| t |
	t := self returnAStringConstantNode.
	^ t! !


!SlangBasicTypeInferenceTestClass methodsFor: 'return-constant'!
returnANilConstantNode
	^ nil! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-constant'!
returnAFalseConstantNode
	^ false! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-constant'!
returnAnIntGreater64ConstantNode
	"SmallInteger maxVal on a 64bit system"
	^ 1152921504606846975! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-constant'!
returnASmallNegativeIntegerConstantNode
	^ -30! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-constant'!
returnAFloatConstantNode
	^ 1.0! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-constant'!
returnAnIntEqual64ConstantNode
	" 2 raisedTo: 64 "
	^ 18446744073709551615! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-constant'!
returnAnIntLesser32ConstantNode
	^ 30! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-constant'!
returnAnIntEqual32ConstantNode
	" 2 ^ 32 - 1"
	^ 4294967295! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-constant'!
returnABigNegativeIntegerConstantNode
"SmallInteger maxVal on a 64bit system"
	^ -1152921504606846975
	! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-constant'!
returnATrueConstantNode
	^ true! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-constant'!
returnAStringConstantNode
	^ 'aString'! !


!SlangBasicTypeInferenceTestClass methodsFor: 'return-message-send'!
returnASmallNegativeIntegerMessageSend
	^ self returnASmallNegativeIntegerConstantNode! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-message-send'!
returnAStringMessageSend
	^ self returnAStringConstantNode! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-message-send'!
returnATrueMessageSend
	^ self returnATrueConstantNode! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-message-send'!
returnAnIntEqual32MessageSend
	^ self returnAnIntEqual32ConstantNode! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-message-send'!
returnAnIntEqual64MessageSend
	^ self returnAnIntEqual64ConstantNode! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-message-send'!
returnANilMessageSend
	^ self returnANilConstantNode! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-message-send'!
returnAnIntLesser32MessageSend
	^ self returnAnIntLesser32ConstantNode! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-message-send'!
returnAFalseMessageSend
	^ self returnAFalseConstantNode! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-message-send'!
returnABigNegativeIntegerMessageSend
	^ self returnABigNegativeIntegerConstantNode! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-message-send'!
returnAnIntGreater64MessageSend
	^ self returnAnIntGreater64ConstantNode! !

!SlangBasicTypeInferenceTestClass methodsFor: 'return-message-send'!
returnAFloatMessageSend
	^ self returnAFloatConstantNode! !
